<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionFlagTextures Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d4b/a01359.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionFlagTextures Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8b76ebb0ec403ca776a18055452956c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d4b/a01359.html#a8b76ebb0ec403ca776a18055452956c3">ExpansionFlagTextures</a> ()</td></tr>
<tr class="separator:a8b76ebb0ec403ca776a18055452956c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4654eb013888ad875b389d7ee8be63da"><td class="memItemLeft" align="right" valign="top">array&lt; ref <a class="el" href="../../d8/d4e/a01355.html">ExpansionFlagTexture</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d4b/a01359.html#a4654eb013888ad875b389d7ee8be63da">GetAll</a> ()</td></tr>
<tr class="separator:a4654eb013888ad875b389d7ee8be63da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31dcaf2b198856d9bc6560a390928d4d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d4b/a01359.html#a31dcaf2b198856d9bc6560a390928d4d">Load</a> ()</td></tr>
<tr class="separator:a31dcaf2b198856d9bc6560a390928d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40ad0e5a6c87d3a68f9b22ba7baac18e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d4b/a01359.html#a40ad0e5a6c87d3a68f9b22ba7baac18e">Add</a> (string path, string name)</td></tr>
<tr class="separator:a40ad0e5a6c87d3a68f9b22ba7baac18e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af86e6475e487cd1a02ec8a269dec6379"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d4b/a01359.html#af86e6475e487cd1a02ec8a269dec6379">Remove</a> (string path)</td></tr>
<tr class="separator:af86e6475e487cd1a02ec8a269dec6379"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a38aeaba8f7443018edcf7ad338731351"><td class="memItemLeft" align="right" valign="top">protected autoptr array&lt; ref <a class="el" href="../../d8/d4e/a01355.html">ExpansionFlagTexture</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d4b/a01359.html#a38aeaba8f7443018edcf7ad338731351">m_FlagTextures</a> = new array&lt;ref <a class="el" href="../../d8/d4e/a01355.html">ExpansionFlagTexture</a>&gt;</td></tr>
<tr class="separator:a38aeaba8f7443018edcf7ad338731351"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../da/d45/a00011.html">ExpansionFlagTextures.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d45/a00011_source.html#l00013">13</a> of file <a class="el" href="../../da/d45/a00011_source.html">expansionflagtextures.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8b76ebb0ec403ca776a18055452956c3" name="a8b76ebb0ec403ca776a18055452956c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b76ebb0ec403ca776a18055452956c3">&#9670;&#160;</a></span>ExpansionFlagTextures()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionFlagTextures::ExpansionFlagTextures </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d45/a00011_source.html#l00017">17</a> of file <a class="el" href="../../da/d45/a00011_source.html">expansionflagtextures.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a40ad0e5a6c87d3a68f9b22ba7baac18e" name="a40ad0e5a6c87d3a68f9b22ba7baac18e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40ad0e5a6c87d3a68f9b22ba7baac18e">&#9670;&#160;</a></span>Add()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionFlagTextures::Add </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d45/a00011_source.html#l00125">125</a> of file <a class="el" href="../../da/d45/a00011_source.html">expansionflagtextures.c</a>.</p>

</div>
</div>
<a id="a4654eb013888ad875b389d7ee8be63da" name="a4654eb013888ad875b389d7ee8be63da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4654eb013888ad875b389d7ee8be63da">&#9670;&#160;</a></span>GetAll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">array&lt; ref <a class="el" href="../../d8/d4e/a01355.html">ExpansionFlagTexture</a> &gt; ExpansionFlagTextures::GetAll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d45/a00011_source.html#l00022">22</a> of file <a class="el" href="../../da/d45/a00011_source.html">expansionflagtextures.c</a>.</p>

</div>
</div>
<a id="a31dcaf2b198856d9bc6560a390928d4d" name="a31dcaf2b198856d9bc6560a390928d4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31dcaf2b198856d9bc6560a390928d4d">&#9670;&#160;</a></span>Load()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionFlagTextures::Load </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d45/a00011_source.html#l00027">27</a> of file <a class="el" href="../../da/d45/a00011_source.html">expansionflagtextures.c</a>.</p>

</div>
</div>
<a id="af86e6475e487cd1a02ec8a269dec6379" name="af86e6475e487cd1a02ec8a269dec6379"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af86e6475e487cd1a02ec8a269dec6379">&#9670;&#160;</a></span>Remove()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionFlagTextures::Remove </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d45/a00011_source.html#l00132">132</a> of file <a class="el" href="../../da/d45/a00011_source.html">expansionflagtextures.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a38aeaba8f7443018edcf7ad338731351" name="a38aeaba8f7443018edcf7ad338731351"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38aeaba8f7443018edcf7ad338731351">&#9670;&#160;</a></span>m_FlagTextures</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected autoptr array&lt;ref <a class="el" href="../../d8/d4e/a01355.html">ExpansionFlagTexture</a>&gt; ExpansionFlagTextures::m_FlagTextures = new array&lt;ref <a class="el" href="../../d8/d4e/a01355.html">ExpansionFlagTexture</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d45/a00011_source.html#l00015">15</a> of file <a class="el" href="../../da/d45/a00011_source.html">expansionflagtextures.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/3_game/dayzexpansion_basebuilding/<a class="el" href="../../da/d45/a00011_source.html">expansionflagtextures.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d4b/a01359.html">ExpansionFlagTextures</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
